Package org.jboss.resteasy.plugins.providers.jaxb.i18n

## Class Messages_$bundle

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.jaxb.i18n.Messages_$bundle

- All Implemented Interfaces:
    `Serializable`, `Messages`

      @Generated(value="org.jboss.logging.processor.generator.model.MessageBundleImplementor",
                 date="2021-10-01T14:27:01-0700")
      public class Messages_$bundle
      extends Object
      implements Messages, Serializable

  Warning this class consists of generated code.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Messages_$bundle` | `INSTANCE` |

    - ### Fields inherited from interface org.jboss.resteasy.plugins.providers.jaxb.i18n.Messages

      `BASE, MESSAGES`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `Messages_$bundle()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `collectionWrappingFailedLocalPart​(String element, String localPart)` |
    `protected String` | `collectionWrappingFailedLocalPart$str()` |
    `String` | `collectionWrappingFailedNamespace​(String namespace, String uri)` |
    `protected String` | `collectionWrappingFailedNamespace$str()` |
    `String` | `couldNotFindJAXBContextFinder​(javax.ws.rs.core.MediaType mediaType)` |
    `protected String` | `couldNotFindJAXBContextFinder$str()` |
    `String` | `couldNotFindUsersJAXBContext​(javax.ws.rs.core.MediaType mediaType)` |
    `protected String` | `couldNotFindUsersJAXBContext$str()` |
    `String` | `createMethodNotFound​(Class<?> type)` |
    `protected String` | `createMethodNotFound$str()` |
    `String` | `errorTryingToLoadSchema​(String schema)` |
    `protected String` | `errorTryingToLoadSchema$str()` |
    `protected Locale` | `getLoggingLocale()` |
    `String` | `mapWrappedFailedKeyAttribute()` |
    `protected String` | `mapWrappedFailedKeyAttribute$str()` |
    `String` | `mapWrappingFailedLocalPart​(String map, String localPart)` |
    `protected String` | `mapWrappingFailedLocalPart$str()` |
    `String` | `mapWrappingFailedNamespace​(String map, String namespace)` |
    `protected String` | `mapWrappingFailedNamespace$str()` |
    `String` | `namespacePrefixMapperNotInClassPath()` |
    `protected String` | `namespacePrefixMapperNotInClassPath$str()` |
    `protected Object` | `readResolve()` |
    `String` | `unableToFindJAXBContext​(javax.ws.rs.core.MediaType mediaType)` |
    `protected String` | `unableToFindJAXBContext$str()` |
    `String` | `unexpectedUse​(String s)` |
    `protected String` | `unexpectedUse$str()` |
    `String` | `validXmlRegistryCouldNotBeLocated()` |
    `protected String` | `validXmlRegistryCouldNotBeLocated$str()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final Messages_$bundle INSTANCE

  - ### Constructor Detail

    - #### Messages_$bundle

          protected Messages_$bundle()

  - ### Method Detail

    - #### readResolve

          protected Object readResolve()

    - #### getLoggingLocale

          protected Locale getLoggingLocale()

    - #### collectionWrappingFailedLocalPart$str

          protected String collectionWrappingFailedLocalPart$str()

    - #### collectionWrappingFailedLocalPart

          public final String collectionWrappingFailedLocalPart​(String element,
                                                                String localPart)

      Specified by:
        `collectionWrappingFailedLocalPart` in interface `Messages`

    - #### collectionWrappingFailedNamespace$str

          protected String collectionWrappingFailedNamespace$str()

    - #### collectionWrappingFailedNamespace

          public final String collectionWrappingFailedNamespace​(String namespace,
                                                                String uri)

      Specified by:
        `collectionWrappingFailedNamespace` in interface `Messages`

    - #### couldNotFindJAXBContextFinder$str

          protected String couldNotFindJAXBContextFinder$str()

    - #### couldNotFindJAXBContextFinder

          public final String couldNotFindJAXBContextFinder​(javax.ws.rs.core.MediaType mediaType)

      Specified by:
        `couldNotFindJAXBContextFinder` in interface `Messages`

    - #### createMethodNotFound$str

          protected String createMethodNotFound$str()

    - #### createMethodNotFound

          public final String createMethodNotFound​(Class<?> type)

      Specified by:
        `createMethodNotFound` in interface `Messages`

    - #### errorTryingToLoadSchema$str

          protected String errorTryingToLoadSchema$str()

    - #### errorTryingToLoadSchema

          public final String errorTryingToLoadSchema​(String schema)

      Specified by:
        `errorTryingToLoadSchema` in interface `Messages`

    - #### mapWrappedFailedKeyAttribute$str

          protected String mapWrappedFailedKeyAttribute$str()

    - #### mapWrappedFailedKeyAttribute

          public final String mapWrappedFailedKeyAttribute()

      Specified by:
        `mapWrappedFailedKeyAttribute` in interface `Messages`

    - #### mapWrappingFailedLocalPart$str

          protected String mapWrappingFailedLocalPart$str()

    - #### mapWrappingFailedLocalPart

          public final String mapWrappingFailedLocalPart​(String map,
                                                         String localPart)

      Specified by:
        `mapWrappingFailedLocalPart` in interface `Messages`

    - #### mapWrappingFailedNamespace$str

          protected String mapWrappingFailedNamespace$str()

    - #### mapWrappingFailedNamespace

          public final String mapWrappingFailedNamespace​(String map,
                                                         String namespace)

      Specified by:
        `mapWrappingFailedNamespace` in interface `Messages`

    - #### namespacePrefixMapperNotInClassPath$str

          protected String namespacePrefixMapperNotInClassPath$str()

    - #### namespacePrefixMapperNotInClassPath

          public final String namespacePrefixMapperNotInClassPath()

      Specified by:
        `namespacePrefixMapperNotInClassPath` in interface `Messages`

    - #### unexpectedUse$str

          protected String unexpectedUse$str()

    - #### unexpectedUse

          public final String unexpectedUse​(String s)

      Specified by:
        `unexpectedUse` in interface `Messages`

    - #### unableToFindJAXBContext$str

          protected String unableToFindJAXBContext$str()

    - #### unableToFindJAXBContext

          public final String unableToFindJAXBContext​(javax.ws.rs.core.MediaType mediaType)

      Specified by:
        `unableToFindJAXBContext` in interface `Messages`

    - #### validXmlRegistryCouldNotBeLocated$str

          protected String validXmlRegistryCouldNotBeLocated$str()

    - #### validXmlRegistryCouldNotBeLocated

          public final String validXmlRegistryCouldNotBeLocated()

      Specified by:
        `validXmlRegistryCouldNotBeLocated` in interface `Messages`

    - #### couldNotFindUsersJAXBContext$str

          protected String couldNotFindUsersJAXBContext$str()

    - #### couldNotFindUsersJAXBContext

          public final String couldNotFindUsersJAXBContext​(javax.ws.rs.core.MediaType mediaType)

      Specified by:
        `couldNotFindUsersJAXBContext` in interface `Messages`